function EipToMqttUpdatePage()
{
	var SaveGlobalVariable = function(Row){EipToMqttUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return EipToMqttUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){EipToMqttUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){EipToMqttUpdatePage.prototype._Initialization_();};
}










function EipToMqttFirstPage()
{
  var InitialTcpToMqttSettingObject = function(number){TcpToMqttFirstPage.prototype._InitialTcpToMqttSettingObject_(number);};

  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){EipToMqttFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){EipToMqttFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){EipToMqttFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){EipToMqttFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){EipToMqttFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return EipToMqttFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return EipToMqttFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return EipToMqttFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllTransformOpcUa = function(){return EipToMqttFirstPage.prototype._IsAllTransformOpcUa_();};
  //初始化
  this.Initialization = function(){EipToMqttFirstPage.prototype._Initialization_();};
  //Save
  this.SaveEipToMqtt = function(Result){EipToMqttFirstPage.prototype._SaveEipToMqtt_(Result);};
  //按鈕
  this.EditButton = function(that){EipToMqttFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){EipToMqttFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){EipToMqttFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){EipToMqttFirstPage.prototype._ChangeCheckbox_(that);};
}










function EipToMqttSecondPage()
{
  var GetMqttConnection = function(){return TcpToMqttSecondPage.prototype._GetMqttConnection_();};


  //變數表
  var VariableTableAddNewRow       = function(number){EipToMqttSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){EipToMqttSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){EipToMqttSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return EipToMqttSecondPage.prototype._GetModuleName_(number);};
  var GetMqttConnection = function(){return EipToMqttSecondPage.prototype._GetMqttConnection_();};
  //交集 差集
  var ArrayInteraction = function(FirstArray, SecondArray){return EipToMqttSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return EipToMqttSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //介面
  var ClearTable = function(number){EipToMqttSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){EipToMqttSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){EipToMqttSecondPage.prototype._NoConfirmButton_();};
  this.ShowColumn = function(){EipToMqttSecondPage.prototype._ShowColumn_();};
  this.HideColumn = function(){EipToMqttSecondPage.prototype._HideColumn_();};
  //全域變數 或 物件
  var ModifyEipToMqttSettingObject= function(that){EipToMqttSecondPage.prototype._ModifyEipToMqttSettingObject_(that);};
  var ModifyEipToMqttVariableObject= function(that){EipToMqttSecondPage.prototype._ModifyEipToMqttVariableObject_(that);};
  var SetFormInitialValue = function(number){EipToMqttSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){EipToMqttSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return EipToMqttSecondPage.prototype._GetReadWriteType_(string);};
  //Checkbox
  this.EnabledChangeAllCheckbox = function(that){EipToMqttSecondPage.prototype._EnabledChangeAllCheckbox_(that);};
  this.RetainChangeAllCheckbox = function(that){EipToMqttSecondPage.prototype._RetainChangeAllCheckbox_(that);};
  //MQTT連線
  var LoadBroker = function(number){EipToMqttSecondPage.prototype._LoadBroker_(number);};
  var AddBrokerHtml = function(Table, RemoteNumber){EipToMqttSecondPage.prototype._AddBrokerHtml_(Table, RemoteNumber);};
  var SetBrokerName = function(Table, RemoteNumber){EipToMqttSecondPage.prototype._SetBrokerName_(Table, RemoteNumber);};
  var SetLocalBrokerName = function(Table, RemoteNumber){EipToMqttSecondPage.prototype._SetLocalBrokerName_(Table, RemoteNumber);};
  var SetRemoteBrokerName = function(Table, RemoteNumber){EipToMqttSecondPage.prototype._SetRemoteBrokerName_(Table, RemoteNumber);};
  //檢查
  this.CheckScanRate = function(that){EipToMqttSecondPage.prototype._CheckScanRate_(that);};
  this.CheckDeadBand = function(that){EipToMqttSecondPage.prototype._CheckDeadBand_(that);};
  this.CheckMqttConnection = function(that){EipToMqttSecondPage.prototype._CheckMqttConnection_(that);};
  this.CheckTopic = function(that){EipToMqttSecondPage.prototype._CheckTopic_(that);};
}